[package]
name = "renderer"
version = "0.1.0"
edition = "2024"

[dependencies]
tinyvec = { workspace = true }
arrayvec = { workspace = true }
indexmap = { workspace = true }
petgraph = { workspace = true }
itertools = { workspace = true }
ahash = { workspace = true }
rand = { workspace = true }
parking_lot = { workspace = true }
glam = { workspace = true }
bitflags = { workspace = true }
thread_local = {workspace = true}

thiserror = { workspace = true }
anyhow = { workspace = true }
tracing = { workspace = true }

ash = { workspace = true }
ash-window = { workspace = true }
vk-mem = { workspace = true }
gpu-allocator = { workspace = true }
rectangle-pack = { workspace = true }

raw-window-handle = { workspace = true }
egui = { workspace = true , features = ["bytemuck"]}
egui_winit_platform = { workspace = true }

futures = { workspace = true }
smol = { workspace = true }
# tokio = {workspace = true, features = ["rt", "sync"]}

bevy_tasks = { workspace = true }

derive_more = { workspace = true , features = ["debug"] }

cfg-if = "1.0.0"
dyn-clone = "1"
crossbeam = "0.8.4"
bytemuck = { version = "1.21.0", features = ["derive"] }

cosmic-text = "0.12.1"
sys-locale = "0.3.2"
guillotiere = "0.6.2"

[dev-dependencies]
tracing-test = "0.2.5"
image = "0.25.5"
